=== debian/control ===
Source: ros-rolling-tf2-geometry-msgs
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-orocos-kdl-vendor, ros-rolling-python-cmake-module, ros-rolling-rclcpp <!nocheck>, ros-rolling-tf2, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-rolling-tf2-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-rolling-geometry-msgs, ros-rolling-orocos-kdl-vendor, ros-rolling-tf2, ros-rolling-tf2-ros, ros-rolling-tf2-ros-py, ros-rolling-ros-workspace
Description: tf2_geometry_msgs
